Skip to content
View as Markdown

PUT Save Company Custom Fields​

PUT
/companies/custom-fields

Save (create or update) the global custom field definitions for companies. This replaces the entire set of custom field definitions.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"fields": [
{
"key": "string",
"label": "string",
"type": "string",
"options": [
"string"
],
"settings": {
}
}
]
}

Responses​

Custom fields saved successfully.

application/json
JSON
{
"fields": [
{
"key": "string",
"label": "string",
"type": "string",
"options": [
"string"
],
"settings": {
}
}
],
"message": "string"
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI